client_fnc_alarmBlitz = {
	private _gate = _this;

	private _light = "#lightpoint" createVehicleLocal [0,0,0];
	_light setLightBrightness 0;
	_light setLightAttenuation [0.15, 0, 5000, 5000];
	_light setLightIntensity 1000;
	_light setLightFlareSize 1.5;
	_light setLightFlareMaxDistance 1000;
	_light setLightUseFlare true;
	_light setLightDayLight true;
	_light setLightAmbient [0.5,0.5,0];
	_light setLightColor [0.5,0.5,0];
	_light lightAttachObject [_gate, [3.6,0,-2.75]];


	for "_i" from 0 to 1 step 0 do {
		_light setLightBrightness 1;
		_time = time + 0.25;
		waitUntil {time > _time || !(_gate getVariable ["alarm",false])};
		if !(_gate getVariable ["alarm",false]) exitWith {};
		
		_light setLightBrightness 0;
		_time = time + 0.25;
		waitUntil {time > _time || !(_gate getVariable ["alarm",false])};
		if !(_gate getVariable ["alarm",false]) exitWith {};
	};

	deleteVehicle _light;
};
pubLicVariable "client_fnc_alarmBlitz";

client_fnc_trigger = {
	private _gate = _this;

	_gate say3d ["alarm", 50, 1];

	_gate spawn client_fnc_alarmBlitz;

	uiSleep 5;

	_gate animateSource ["Door_1_sound_source",0];

	uiSleep 15;

	_gate animateSource ["Door_1_sound_source",1];
	_gate setVariable ["alarm",false];
	
};
pubLicVariable "client_fnc_trigger";


all_fnc_trigger1 = {

	if (isServer) then {
		private _trigger = _this;
	 
		{
			_x setVariable ["alarm",true,true];
			_x remoteExec ["client_fnc_trigger",[0, -2] select (!hasInterface)];
		} forEach [Gate1,Gate2];

	};
};
pubLicVariable "all_fnc_trigger1";